Re: 3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: 3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

Gabriel Landini
Hi Stein,
A bit of an old thread, but today I tried java3d 1.7.0-final and no, the 3D
viewer does not work. It works fine with 1.6 and the instructions you gave
below in Java 1.8 (thanks!).

If somebody has a suggestion on how to make the 3dviewer work in Java 14 I
would like to know, too.

Thanks

Gabriel

On Thu, 14 May 2020, Stein Rørvik  wrote:

> As you have seen, the auto-installation of Java3D no longer works since the
> website it is trying to download from is dead. If you found the file
> elsewere, try to put it in the jre/lib/ext folder in the ImageJ folder.
> If this does not work, try this (at least it worked for me with ImageJ1.x):
> Upgrade Java3D to 1.60 and use JOGL for the platform-files. You must
> download these files yourself. The advantage with this approach is that this
> works fine with Java 8, and is also compatible with all old ImageJ plugins
> so you can use BoneJ and any other legacy plugins you have which depends on
> the 3D_Viewer under Java 8, if you are using ImageJ 1.x (which you
> apparently do).

> I also see today that there is now a Java 3D release version 1.7.0; but I
> haven't tried that. I tried the pre-release of 1.7.0 and that did NOT work
> then I were fiddling with this a couple of years ago.

> If 3D_Viewer installs and launches without error, but just shows a grey
> window, you can add -Dsun.java2d.d3d=true as an option in your ImageJ.cfg
> file. At least this worked for me.
> Installing Java 3D:
> Download http://jogamp.org/deployment/java3d/1.6.0-final/jogamp-java3d.7z
> unzip
>  .\j3dcore.jar
>  .\j3dutils.jar
>  .\vecmath.jar
> put in    jre\lib\ext
> Installing JOGL:
> Download http://jogamp.org/deployment/v2.3.2/archive/jogamp-fat-all.7z
> unzip  
>   .\jogamp-fat.jar
> put in   jre\lib\ext
> You can also of course use the latest version of Fiji which already has a
> working 3D_Viewer. But that depends on a forked version of Java 3D, which is
> not compatible with legacy plugins.
> Stein

--
ImageJ mailing list: http://imagej.nih.gov/ij/list.html
Reply | Threaded
Open this post in threaded view
|

Re: 3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

Curtis Rueden-2
Hi Gabriel,

If you need a Java 3D with the old package prefix, try using 1.6.1:

  https://github.com/hharrison/java3d-core/releases/tag/1.6.1

OR, you can use the SciJava fork's 1.6.0-pre-1 release, which did not
rename packages:

  https://maven.scijava.org/#nexus-search;gav~org.scijava~~1.6.0-scijava-1~~

Java 3D 1.7.x has the renamed package prefix (to org.jogamp.java3d).

Where did you download 1.7.0-final? I can't find it!

* The Java 3D wikipedia page says 1.7.0 was released in January, but it has
no download link.
* Phil Jord (maintainer of Java 3D 1.7.0) has only 1.7.0-pre-1 on his
releases page [1].
* It's not on Maven Central.

Regards,
Curtis

P.S. The page https://imagej.net/Java_3D is supposed to collect all these
details, but it needs an update covering the 1.7.0 version, as well as
clarification about who maintains these different versions, how the package
prefixes work, etc. As soon as the imagej.net migration [2] is complete
next month, we can update it!

[1] https://github.com/philjord/java3d-core/releases
[2] https://forum.image.sc/t/40500

--
Curtis Rueden
Software architect, LOCI/Eliceiri lab - https://loci.wisc.edu/software
ImageJ2 lead, Fiji maintainer - https://imagej.net/User:Rueden
Have you tried the Image.sc Forum? https://forum.image.sc/




On Fri, Jul 17, 2020 at 8:14 AM Gabriel Landini <[hidden email]>
wrote:

> Hi Stein,
> A bit of an old thread, but today I tried java3d 1.7.0-final and no, the
> 3D
> viewer does not work. It works fine with 1.6 and the instructions you gave
> below in Java 1.8 (thanks!).
>
> If somebody has a suggestion on how to make the 3dviewer work in Java 14 I
> would like to know, too.
>
> Thanks
>
> Gabriel
>
> On Thu, 14 May 2020, Stein Rørvik  wrote:
> > As you have seen, the auto-installation of Java3D no longer works since
> the
> > website it is trying to download from is dead. If you found the file
> > elsewere, try to put it in the jre/lib/ext folder in the ImageJ folder.
> > If this does not work, try this (at least it worked for me with
> ImageJ1.x):
> > Upgrade Java3D to 1.60 and use JOGL for the platform-files. You must
> > download these files yourself. The advantage with this approach is that
> this
> > works fine with Java 8, and is also compatible with all old ImageJ
> plugins
> > so you can use BoneJ and any other legacy plugins you have which depends
> on
> > the 3D_Viewer under Java 8, if you are using ImageJ 1.x (which you
> > apparently do).
>
> > I also see today that there is now a Java 3D release version 1.7.0; but I
> > haven't tried that. I tried the pre-release of 1.7.0 and that did NOT
> work
> > then I were fiddling with this a couple of years ago.
>
> > If 3D_Viewer installs and launches without error, but just shows a grey
> > window, you can add -Dsun.java2d.d3d=true as an option in your ImageJ.cfg
> > file. At least this worked for me.
> > Installing Java 3D:
> > Download
> http://jogamp.org/deployment/java3d/1.6.0-final/jogamp-java3d.7z
> > unzip
> >  .\j3dcore.jar
> >  .\j3dutils.jar
> >  .\vecmath.jar
> > put in    jre\lib\ext
> > Installing JOGL:
> > Download http://jogamp.org/deployment/v2.3.2/archive/jogamp-fat-all.7z
> > unzip
> >   .\jogamp-fat.jar
> > put in   jre\lib\ext
> > You can also of course use the latest version of Fiji which already has a
> > working 3D_Viewer. But that depends on a forked version of Java 3D,
> which is
> > not compatible with legacy plugins.
> > Stein
>
> --
> ImageJ mailing list: http://imagej.nih.gov/ij/list.html
>

--
ImageJ mailing list: http://imagej.nih.gov/ij/list.html
Reply | Threaded
Open this post in threaded view
|

Re: 3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

Gabriel Landini
Hi Curtis,
Thanks for the pointers. Do those work with Java 14?

> Where did you download 1.7.0-final? I can't find it!

From here:
https://jogamp.org/deployment/java3d/1.7.0-final/

Cheers

Gabriel

--
ImageJ mailing list: http://imagej.nih.gov/ij/list.html
Reply | Threaded
Open this post in threaded view
|

Re: 3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

Stein Rørvik
Yes I also tried 1.7.0 without success.

There is a version 1.6.2 however, which worked fine with the 3D viewer:
https://jogamp.org/deployment/java3d/1.6.2/
Same installation method as in my previous post.

There was a thread some time ago about a GUI font scaling issue and different java versions.
When I tested that, Java3D 1.6.2 worked as well with the alternative Java version discussed. I do not remember the details as I am on travel this week and did not bring my work computer where the files are. If someone can point me to the newest relevant Java version I can test this when I get back in town next week.

Stein
<https://eur03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fimagej.nih.gov%2Fij%2Flist.html&amp;data=02%7C01%7Cstein.rorvik%40sintef.no%7C3cb685c9ce2d43c4493d08d82a600e11%7Ce1f00f39604145b0b309e0210d8b32af%7C1%7C0%7C637305939326629799&amp;sdata=JRjD2hUJam4jzyQIZzPSUt6tJGbKnfFk1iYclquyEOY%3D&amp;reserved=0>

--
ImageJ mailing list: http://imagej.nih.gov/ij/list.html
Reply | Threaded
Open this post in threaded view
|

Re: 3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

fabrice senger-2
In reply to this post by Gabriel Landini
Dear all,
I have to say that 3D in ImageJ never satisfied me, thus I went for Chimera
and more recently Napari...

Le ven. 17 juil. 2020 à 15:14, Gabriel Landini <[hidden email]> a
écrit :

> Hi Stein,
> A bit of an old thread, but today I tried java3d 1.7.0-final and no, the
> 3D
> viewer does not work. It works fine with 1.6 and the instructions you gave
> below in Java 1.8 (thanks!).
>
> If somebody has a suggestion on how to make the 3dviewer work in Java 14 I
> would like to know, too.
>
> Thanks
>
> Gabriel
>
> On Thu, 14 May 2020, Stein Rørvik  wrote:
> > As you have seen, the auto-installation of Java3D no longer works since
> the
> > website it is trying to download from is dead. If you found the file
> > elsewere, try to put it in the jre/lib/ext folder in the ImageJ folder.
> > If this does not work, try this (at least it worked for me with
> ImageJ1.x):
> > Upgrade Java3D to 1.60 and use JOGL for the platform-files. You must
> > download these files yourself. The advantage with this approach is that
> this
> > works fine with Java 8, and is also compatible with all old ImageJ
> plugins
> > so you can use BoneJ and any other legacy plugins you have which depends
> on
> > the 3D_Viewer under Java 8, if you are using ImageJ 1.x (which you
> > apparently do).
>
> > I also see today that there is now a Java 3D release version 1.7.0; but I
> > haven't tried that. I tried the pre-release of 1.7.0 and that did NOT
> work
> > then I were fiddling with this a couple of years ago.
>
> > If 3D_Viewer installs and launches without error, but just shows a grey
> > window, you can add -Dsun.java2d.d3d=true as an option in your ImageJ.cfg
> > file. At least this worked for me.
> > Installing Java 3D:
> > Download
> http://jogamp.org/deployment/java3d/1.6.0-final/jogamp-java3d.7z
> > unzip
> >  .\j3dcore.jar
> >  .\j3dutils.jar
> >  .\vecmath.jar
> > put in    jre\lib\ext
> > Installing JOGL:
> > Download http://jogamp.org/deployment/v2.3.2/archive/jogamp-fat-all.7z
> > unzip
> >   .\jogamp-fat.jar
> > put in   jre\lib\ext
> > You can also of course use the latest version of Fiji which already has a
> > working 3D_Viewer. But that depends on a forked version of Java 3D,
> which is
> > not compatible with legacy plugins.
> > Stein
>
> --
> ImageJ mailing list: http://imagej.nih.gov/ij/list.html
>

--
ImageJ mailing list: http://imagej.nih.gov/ij/list.html